<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">
  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="npm run buildcss" />
  </Target>
  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <ServiceWorkerAssetsManifest>service-worker-assets.js</ServiceWorkerAssetsManifest>
    <AssemblyVersion>1.0.0.2</AssemblyVersion>
    <FileVersion>1.0.0.2</FileVersion>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Blazorise.LottieAnimation" Version="1.3.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="7.0.10" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="7.0.10" PrivateAssets="all" />
    <PackageReference Include="MudBlazor" Version="6.10.0" />
    <PackageReference Include="Toolbelt.Blazor.PWA.Updater" Version="2.1.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ServiceWorker Include="wwwroot\service-worker.js" PublishedContent="wwwroot\service-worker.published.js" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\ItemModels\" />
    <Folder Include="wwwroot\assets\lotties\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocuMed.Domain\DocuMed.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="DocuMed.PWA.Models" />
    <Using Include="DocuMed.PWA.Models.Entities" />
    <Using Include="DocuMed.PWA.Models.Enums" />
  </ItemGroup>

</Project>
